# Generated by ariadne-codegen on 2023-11-12 18:51
# Source: churros/queries.gql

from typing import Any, List, Optional

from pydantic import Field

from .base_model import BaseModel


class User(BaseModel):
    user: "UserUser"


class UserUser(BaseModel):
    id: str
    uid: str
    email: str
    other_emails: List[str] = Field(alias="otherEmails")
    first_name: str = Field(alias="firstName")
    last_name: str = Field(alias="lastName")
    full_name: str = Field(alias="fullName")
    major: "UserUserMajor"
    minor: Optional["UserUserMinor"]
    graduation_year: int = Field(alias="graduationYear")
    year_tier: int = Field(alias="yearTier")
    apprentice: bool
    address: str
    birthday: Optional[Any]
    description: str
    nickname: str
    phone: str
    picture_file: str = Field(alias="pictureFile")
    links: List["UserUserLinks"]
    godparent: Optional["UserUserGodparent"]


class UserUserMajor(BaseModel):
    id: str
    uid: str
    name: str
    short_name: str = Field(alias="shortName")
    schools: List["UserUserMajorSchools"]


class UserUserMajorSchools(BaseModel):
    id: str
    uid: str
    name: str


class UserUserMinor(BaseModel):
    id: str
    uid: str
    name: str
    short_name: str = Field(alias="shortName")
    majors: List["UserUserMinorMajors"]


class UserUserMinorMajors(BaseModel):
    id: str


class UserUserLinks(BaseModel):
    computed_value: str = Field(alias="computedValue")
    name: str


class UserUserGodparent(BaseModel):
    id: str
    uid: str
    first_name: str = Field(alias="firstName")
    last_name: str = Field(alias="lastName")
    nickname: str
    full_name: str = Field(alias="fullName")


User.model_rebuild()
UserUser.model_rebuild()
UserUserMajor.model_rebuild()
UserUserMajorSchools.model_rebuild()
UserUserMinor.model_rebuild()
UserUserMinorMajors.model_rebuild()
UserUserLinks.model_rebuild()
UserUserGodparent.model_rebuild()
